## org.apache.taglibs.standard.tag.common.sql
Class DriverTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.sql.DriverTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class DriverTag

extends TagSupport

Tag handler for <Driver> in JSTL, used to create a simple DataSource for prototyping.

Author:
  Hans Bergsten
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DriverTag()`

Method Summary
`int` `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` `setDriver(String driverClassName)`
`void` `setJdbcURL(String jdbcURL)`
`void` `setScope(String scopeName)` Setter method for the scope of the variable to hold the result.
`void` `setUserName(String userName)`
`void` `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverTag

    public DriverTag()

Method Detail

### setDriver

    public void setDriver(String driverClassName)

### setJdbcURL

    public void setJdbcURL(String jdbcURL)

### setScope

    public void setScope(String scopeName)

  Setter method for the scope of the variable to hold the result.

### setUserName

    public void setUserName(String userName)

### setVar

    public void setVar(String var)

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.